> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mangopay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# View a Payout and check mode applied

This endpoint returns the full details of a payout request. First-time integrators should used this endpoint.

In addition to the data returned by the legacy [GET View a Payout](/api-reference/payouts/view-payout) endpoint, this endpoint also returns information about:

* `ModeApplied` – Relevant for platforms using [SEPA Inst](/guides/payouts/integration#initiate-an-sct-inst-payout) or [RTGS for SEPA T2](/guides/payouts#real-time-gross-settlement-rtgs)
* `ModeRequested` and `FallbackReason` – Additionally relevant for platforms using [SEPA Inst](/guides/payouts/integration#initiate-an-sct-inst-payout)
* `ChargeBearer` – Relevant for platforms using [OUR fee allocation](/guides/payouts#fees-for-international-payouts) on SWIFT non-domestic payouts

<Note>
  **Note – Payout data retained for 13 months**

  An API call to retrieve a payout whose `CreationDate` is older than 13 months may return 404 Not Found.

  For more information, see the <a href="/api-reference/overview/data-availability-periods">Data availability periods</a> article.
</Note>

### Path parameters

<ParamField path="PayoutId" type="string" required>
  The unique identifier of the payout.
</ParamField>

### Responses

<AccordionGroup>
  <Accordion title="200">
    <ResponseField name="Id" type="string">
      Max length: 128 characters (see [data formats](/api-reference/overview/data-formats) for details)

      The unique identifier of the object.
    </ResponseField>

    <ResponseField name="Tag" type="string">
      Max. length: 255 characters

      Custom data that you can add to this object.
    </ResponseField>

    <ResponseField name="CreationDate" type="Unix timestamp">
      The date and time at which the object was created.
    </ResponseField>

    <ResponseField name="AuthorId" type="string">
      The unique identifier of the user at the source of the transaction.\
      Best practice: When the payout author is different from the bank account owner, the Payout `AuthorId` value must be different from the Bank Account `UserId` value as well. Otherwise, Mangopay’s Compliance team will reject the payout.
    </ResponseField>

    <ResponseField name="CreditedUserId" type="string">
      The unique identifier of the user whose wallet is credited.\
      In the specific case of the Payout object, this value is always `null` since there is no credited wallet.
    </ResponseField>

    <ResponseField name="DebitedFunds" type="object">
      Information about the debited funds.

      <Expandable title="properties">
        <ResponseField name="Currency" type="string">
          **Returned values:** The three-letter <a href="/api-reference/overview/data-formats" target="_blank">ISO 4217 code</a> (EUR, GBP, etc.) of a <a href="/guides/currencies" target="_blank">supported currency</a> (depends on feature, contract, and activation settings).

          The currency of the debited funds.
        </ResponseField>

        <ResponseField name="Amount" type="integer">
          An amount of money in the smallest sub-division of the currency (e.g., EUR 12.60 would be represented as `1260` whereas JPY 12 would be represented as just `12`).
        </ResponseField>
      </Expandable>
    </ResponseField>

    <ResponseField name="CreditedFunds" type="object">
      Information about the funds being credited to the target of the transaction (`CreditedFunds` = `DebitedFunds` - `Fees`).

      <Expandable title="properties">
        <ResponseField name="Currency" type="string">
          **Returned values:** The three-letter <a href="/api-reference/overview/data-formats" target="_blank">ISO 4217 code</a> (EUR, GBP, etc.) of a <a href="/guides/currencies" target="_blank">supported currency</a> (depends on feature, contract, and activation settings).

          The currency of the debited funds.
        </ResponseField>

        <ResponseField name="Amount" type="integer">
          An amount of money in the smallest sub-division of the currency (e.g., EUR 12.60 would be represented as `1260` whereas JPY 12 would be represented as just `12`).
        </ResponseField>
      </Expandable>
    </ResponseField>

    <ResponseField name="Fees" type="object">
      Information about the fees taken by the platform for this transaction (and hence transferred to the Fees Wallet).

      <Expandable title="properties">
        <ResponseField name="Currency" type="string">
          **Returned values:** The three-letter <a href="/api-reference/overview/data-formats" target="_blank">ISO 4217 code</a> (EUR, GBP, etc.) of a <a href="/guides/currencies" target="_blank">supported currency</a> (depends on feature, contract, and activation settings).

          The currency of the debited funds.
        </ResponseField>

        <ResponseField name="Amount" type="integer">
          An amount of money in the smallest sub-division of the currency (e.g., EUR 12.60 would be represented as `1260` whereas JPY 12 would be represented as just `12`).
        </ResponseField>
      </Expandable>
    </ResponseField>

    <ResponseField name="Status" type="string">
      **Returned values:** `CREATED`, `SUCCEEDED`, `FAILED`

      The status of the transaction.
    </ResponseField>

    <ResponseField name="ResultCode" type="string">
      The code indicating the result of the operation. This information is mostly used to <a href="/errors/codes">handle errors</a> or for filtering purposes.
    </ResponseField>

    <ResponseField name="ResultMessage" type="string">
      The explanation of the result code.
    </ResponseField>

    <ResponseField name="ExecutionDate" type="Unix timestamp">
      The date and time at which the status changed to `SUCCEEDED`, indicating that the transaction occurred. The statuses `CREATED` and `FAILED` return an `ExecutionDate` of `null`.
    </ResponseField>

    <ResponseField name="Type" type="string">
      **Returned values:** `PAYIN`, `TRANSFER`, `CONVERSION`, `PAYOUT`

      The type of the transaction.
    </ResponseField>

    <ResponseField name="Nature" type="string">
      **Returned values:** `REGULAR`, `REPUDIATION`, `REFUND`, `SETTLEMENT`

      The nature of the transaction, providing more information about the context in which the transaction occurred:

      * `REGULAR` – Relative to most of the transactions (pay-ins, payouts, and transfers) in a usual workflow.
      * `REPUDIATION` – Automatic withdrawal of funds from the platform’s repudiation wallet as part of the dispute process (when the user has requested a chargeback).
      * `REFUND` – Reimbursement of a transaction to the user (pay-in refund), to a wallet (transfer refund), or of a payout (payout refund, only initiated by Mangopay).
      * `SETTLEMENT` – Transfer made to the repudiation wallet by the platform to settle a lost dispute.
    </ResponseField>

    <ResponseField name="CreditedWalletId" type="string">
      The unique identifier of the credited wallet.\
      In the specific case of the Payout object, this value is always `null` since there is no credited wallet.
    </ResponseField>

    <ResponseField name="DebitedWalletId" type="string">
      The unique identifier of the debited wallet.
    </ResponseField>

    <ResponseField name="PaymentType" type="string">
      **Returned values:** `CARD`, `DIRECT_DEBIT`, `PREAUTHORIZED`, `BANK_WIRE`

      The type of pay-in.
    </ResponseField>

    <ResponseField name="BankAccountId" type="string">
      The unique identifier of the bank account.
    </ResponseField>

    <ResponseField name="BankWireRef" type="string">
      Max. length: 255 characters (\< 12 recommended)

      Custom description to appear on the user’s bank statement along with the platform name. The recommended length is 12 characters – strings longer than this may be truncated depending on the bank.

      For the full structure of the string, see the <a href="/bank-statements">Customizing bank statement references</a> article.
    </ResponseField>

    <ResponseField name="ModeRequested" type="string">
      **Returned values:** `STANDARD`, `INSTANT_PAYMENT`, `INSTANT_PAYMENT_ONLY`, `RTGS_PAYMENT`

      The value set for the `PayoutModeRequested` parameter when making the request.
    </ResponseField>

    <ResponseField name="ModeApplied" type="string">
      **Returned values:** `STANDARD`, `INSTANT_PAYMENT`, `RTGS_PAYMENT`, `PENDING_RESPONSE`

      The mode defining how the payout request is sent:

      * `STANDARD` – **Non-EUR:** Sent via the relevant local rail if the Recipient's destination country corresponds, or otherwise sent via SWIFT. Mangopay automatically routes funds via the [available rails](/guides/payouts#all-rails-by-currency), which also determines [delivery times](/guides/payouts#delivery-times). Requests received after the applicable cutoff are processed the next working day. **EUR:** Sent via the SEPA Credit Transfer scheme or SWIFT (if non-domestic).
      * `INSTANT_PAYMENT` – **EUR only:** Sent via the SEPA Instant Credit Transfer scheme (funds processed within 10 seconds).
      * `RTGS_PAYMENT` – **EUR only:** Sent via the Eurozone’s [real-time gross settlement (RGTS)](/guides/payouts#real-time-gross-settlement-rtgs) scheme T2 (funds processed same working day) without a fallback. If the request is received after the applicable cutoff (16:15 CET), it is processed the next working day (from 07:00 CET).
      * `PENDING_RESPONSE` – Temporary state to accommodate the possible latency between the creation of the request and the mode being applied in the case of instant payment and RGTS modes.
    </ResponseField>

    <ResponseField name="FallbackReason" type="object">
      Information regarding the reason for the refusal of the instant payout request.

      <Expandable title="properties">
        <ResponseField name="ResultCode" type="string">
          The code indicating the result of the operation. This information is mostly used to <a href="/errors/codes">handle errors</a> or for filtering purposes.
        </ResponseField>

        <ResponseField name="ResultMessage" type="string">
          The explanation of the result code.
        </ResponseField>
      </Expandable>
    </ResponseField>

    <ResponseField name="EndToEndId" type="string">
      The unique identifier of a bank wire for tracking purposes only.
    </ResponseField>

    <ResponseField name="PaymentRef" type="object">
      Information about the payment reference provided for the payout. This object is returned `null` if not provided.

      This object must be used to provide the reference of a [bank wire pay-in](/api-reference/bank-wire-payins/bank-wire-payin-object) or a [pay-in to virtual IBAN](/api-reference/virtual-accounts/external-instruction-bank-wire-payin-object), if the payout is being used to refund it.

      <Expandable title="properties">
        <ResponseField name="ReasonType" type="string">
          **Allowed values:** `PAYIN_REFUND`

          The reason for the reference being provided:

          * `PAYIN_REFUND` – The payout serves to reimburse a pay-in.
        </ResponseField>

        <ResponseField name="ReferenceId" type="string">
          **Allowed values:** The valid `Id` of a successful pay-in

          The unique identifier associated with the reference, whose value corresponds to the `ReasonType`:

          * `PAYIN_REFUND` – The `ReferenceId` value provided is the same as the `Id` of the initial pay-in being refunded.
        </ResponseField>
      </Expandable>
    </ResponseField>

    <ResponseField name="RecipientId" type="string">
      The unique identifier of the [Recipient](/api-reference/recipients/recipient-object) object to which the payout is being requested. This property should be used by platforms integrating for the first time (and not the `BankAccountId`).
    </ResponseField>

    <ResponseField name="ChargeBearer" type="string | null">
      Possible values: `SHA`, `OUR`

      Default value: `SHA`

      The allocation of [processing fees](/guides/payouts#fees-for-international-payouts) for an international SWIFT payout:

      * `SHA` - SWIFT fees are shared between the remitter and beneficiary. The beneficiary's share is deducted from the payout, meaning that the amount arriving on the recipient's bank account may be less than the Payout's `CreditedFunds.Amount`.
      * `OUR` - All SWIFT fees are paid by the remitter. The recipient receives the full `CreditedFunds.Amount` of the Payout, and Mangopay recovers the fees from the platform during the billing cycle. A 400 HTTP error is returned if Mangopay's network of partners does not support `OUR` fees for the given currency and recipient country, or if this feature is not activated.

      For non-SWIFT requests, the `ChargeBearer` is ignored and `SHA` or `null` is displayed by default in the response.
    </ResponseField>
  </Accordion>
</AccordionGroup>

<ResponseExample>
  ```json Standard theme={null}
  {
      "Id": "po_m_01HQMZSGSQPPXC51TZHDAYFAJF",
      "Tag": "Created using Mangopay API Postman Collection",
      "CreationDate": 1709027672,
      "AuthorId": "user_m_01JH2Z9GXCCHGFN65T5HDZG4GB",
      "CreditedUserId": null,
      "DebitedFunds": {
          "Currency": "EUR",
          "Amount": 5792
      },
      "CreditedFunds": {
          "Currency": "EUR",
          "Amount": 5213
      },
      "Fees": {
          "Currency": "EUR",
          "Amount": 579
      },
      "Status": "SUCCEEDED",
      "ResultCode": "000000",
      "ResultMessage": "Success",
      "ExecutionDate": 1709027738,
      "Type": "PAYOUT",
      "Nature": "REGULAR",
      "CreditedWalletId": null,
      "DebitedWalletId": "wlt_m_01JMAAKGM0VCBCQ5V4DB3EZPER",
      "PaymentType": "BANK_WIRE",
      "BankAccountId": null,
      "BankWireRef": "Example123",
      "ModeRequested": null,
      "ModeApplied": "STANDARD",
      "FallbackReason": null,
      "EndToEndId": "2c2184396eef4e5da90ab48a2feeb51d",
      "PaymentRef": null,
      "RecipientId": "rec_01KF0MPAA8X9C80Q394TSF7MEY"
  }  
  ```

  ```json Standard - GBP FPS theme={null}
  {
      "Id": "po_b_01HPM8PX3KJV245H409Q3XD0Z7",
      "Tag": "Created using Mangopay API Postman Collection",
      "CreationDate": 1707929728,
      "AuthorId": "user_m_01JH2Z9GXCCHGFN65T5HDZG4GB",
      "CreditedUserId": null,
      "DebitedFunds": {
          "Currency": "GBP",
          "Amount": 4682
      },
      "CreditedFunds": {
          "Currency": "GBP",
          "Amount": 4635
      },
      "Fees": {
          "Currency": "GBP",
          "Amount": 47
      },
      "Status": "SUCCEEDED",
      "ResultCode": null,
      "ResultMessage": null,
      "ExecutionDate": 1707929729,
      "Type": "PAYOUT",
      "Nature": "REGULAR",
      "CreditedWalletId": null,
      "DebitedWalletId": "wlt_m_01JMAAKGM0VCBCQ5V4DB3EZPER",
      "PaymentType": "BANK_WIRE",
      "BankAccountId": null,
      "BankWireRef": "Created using the Mangopay API Postman collection",
      "ModeRequested": null,
      "ModeApplied": "STANDARD",
      "FallbackReason": null,
      "EndToEndId": "58810b9cf8c745b2a45f17f5d06a151f",
      "PaymentRef": null,
      "RecipientId": "rec_01KF0MPAA8X9C80Q394TSF7MEY"
  }  
  ```

  ```json SCT Inst (no fallback) theme={null}
  {
      "Id": "po_m_01HQMZZV376RRXYQGQAHZ4TN9K",
      "Tag": "Created using Mangopay API Postman Collection",
      "CreationDate": 1709027880,
      "AuthorId": "user_m_01JH2Z9GXCCHGFN65T5HDZG4GB",
      "CreditedUserId": null,
      "DebitedFunds": {
          "Currency": "EUR",
          "Amount": 3387
      },
      "CreditedFunds": {
          "Currency": "EUR",
          "Amount": 3048
      },
      "Fees": {
          "Currency": "EUR",
          "Amount": 339
      },
      "Status": "SUCCEEDED",
      "ResultCode": "000000",
      "ResultMessage": "Success",
      "ExecutionDate": 1709027880,
      "Type": "PAYOUT",
      "Nature": "REGULAR",
      "CreditedWalletId": null,
      "DebitedWalletId": "wlt_m_01JMAAKGM0VCBCQ5V4DB3EZPER",
      "PaymentType": "BANK_WIRE",
      "BankAccountId": null,
      "BankWireRef": "Example123",
      "ModeRequested": "INSTANT_PAYMENT_ONLY",
      "ModeApplied": "INSTANT_PAYMENT",
      "FallbackReason": null,
      "EndToEndId": "e8052ae4729f4abe9355442020f411a9",
      "PaymentRef": null,
      "RecipientId": "rec_01KF0MPAA8X9C80Q394TSF7MEY"
  }  
  ```

  ```json SCT Inst (fallbacked) theme={null}
  {
      "Id": "po_m_01HQMZZV376RRXYQGQAHZ4TN9K",
      "Tag": null,
      "CreationDate": 1709027880,
      "AuthorId": "user_m_01JH2Z9GXCCHGFN65T5HDZG4GB",
      "CreditedUserId": null,
      "DebitedFunds": {
        "Currency": "EUR",
          "Amount": 3387
      },
      "CreditedFunds": {
        "Currency": "EUR",
          "Amount": 3387
      },
      "Fees": {
        "Currency": "EUR",
          "Amount": 0
      },
      "Status": "SUCCEEDED",
      "ResultCode": "000000",
      "ResultMessage": "Success",
      "ExecutionDate": 1709028132,
      "Type": "PAYOUT",
      "Nature": "REGULAR",
      "CreditedWalletId": null,
      "DebitedWalletId": "wlt_m_01JMAAKGM0VCBCQ5V4DB3EZPER",
      "PaymentType": "BANK_WIRE",
      "BankAccountId": null,
      "BankWireRef": "Example123",
      "ModeRequested": "INSTANT_PAYMENT",
      "ModeApplied": "STANDARD",
      "FallbackReason": {
          "Code": "001999",
          "Message": "An unexpected issue prevented the operation from completing. Please retry or contact support."
      },
      "EndToEndId": "e8052ae4729f4abe9355442020f411a9",
      "PaymentRef": null,
      "RecipientId": "rec_01KF0MPAA8X9C80Q394TSF7MEY"
  }
  ```

  ```json RTGS theme={null}
  {
      "Id": "po_m_01JMCS9ED9YTYZBJ3CH0GEMEDS",
      "Tag": "Created using Mangopay API Postman Collection",
      "CreationDate": 1739890932,
      "AuthorId": "user_m_01JKWYDT94N91CW572D7QNNYRP",
      "CreditedUserId": null,
      "DebitedFunds": {
          "Currency": "EUR",
          "Amount": 1135
      },
      "CreditedFunds": {
          "Currency": "EUR",
          "Amount": 1022
      },
      "Fees": {
          "Currency": "EUR",
          "Amount": 113
      },
      "Status": "SUCCEEDED",
      "ResultCode": "000000",
      "ResultMessage": "Success",
      "ExecutionDate": 1739890964,
      "Type": "PAYOUT",
      "Nature": "REGULAR",
      "CreditedWalletId": null,
      "DebitedWalletId": "wlt_m_01JMAAKGM0VCBCQ5V4DB3EZPER",
      "PaymentType": "BANK_WIRE",
      "BankAccountId": null,
      "BankWireRef": "Example123",
      "ModeRequested": "RTGS_PAYMENT",
      "ModeApplied": "RTGS_PAYMENT",
      "FallbackReason": null,
      "EndToEndId": "a66784a74c7b4357bbe4f10abccbe411",
      "PaymentRef": null,
      "RecipientId": "rec_01KF0MPAA8X9C80Q394TSF7MEY"
  }
  ```
</ResponseExample>

<RequestExample>
  ```json REST theme={null}
  // GET has no body parameters
  ```

  ```javascript NodeJS   theme={null}
  const mangopayInstance = require('mangopay4-nodejs-sdk')
  const mangopay = new mangopayInstance({
    clientId: 'your-client-id',
    clientApiKey: 'your-api-key',
  })

  let myPayout = {
    Id: '174860560',
  }

  const getPayoutCheckMode = async (payoutId) => {
    return await mangopay.PayOuts.getBankwire(payoutId)
      .then((response) => {
        console.info(response)
        return response
      })
      .catch((err) => {
        console.log(err)
        return false
      })
  }

  getPayoutCheckMode(myPayout.Id)  
  ```
</RequestExample>
